#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 http-client-restricted
version:              0.1.0
visibility:           public
id:                   http-client-restricted-0.1.0-49fTKc9R1rS7yL16Fmq3IE
key:                  http-client-restricted-0.1.0-49fTKc9R1rS7yL16Fmq3IE
license:              MIT
copyright:            2018 Joey Hess, 2013 Michael Snoyman
maintainer:           Joey Hess <id@joeyh.name>
author:               Joey Hess
synopsis:             restricting the servers that http-client will use
description:
    Addition to the http-client and http-client-tls
    libraries, that restricts the HTTP servers that can be used.

    This is useful when a security policy needs to eg, prevent connections to
    HTTP servers on localhost or a local network, or only allow connections
    to a specific HTTP server.

    It handles restricting redirects as well as the initial HTTP connection,
    and it also guards against DNS poisoning attacks.

category:             Network
abi:                  7ce53daa4cde85bd7387686b37bd46f5
exposed:              True
exposed-modules:      Network.HTTP.Client.Restricted
import-dirs:          /usr/lib/ghc-9.0.2/site-local/http-client-restricted-0.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/http-client-restricted-0.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-http-client-restricted
hs-libraries:         HShttp-client-restricted-0.1.0-49fTKc9R1rS7yL16Fmq3IE
depends:
    base-4.15.1.0 crypton-connection-0.3.1-FWyFV7q8KckGar0xylVNGt
    data-default-0.7.1.1-4W3DdpWCDdz1ZSimKMWhuv
    http-client-0.7.15-A5Ep9mDUQwSFsDdFKiF3Hi
    http-client-tls-0.3.6.3-FYoOIyDjcDgA1eenRgEwwh
    network-3.1.4.0-8AOJj7NQnqlDnmbyGMEQNv
    network-bsd-2.8.1.0-DVHBMeL8mF76NPI5lkdMI8
    utf8-string-1.0.2-9eFA57BgKXNHtjvfuIOq9f

haddock-interfaces:
    /usr/share/doc/haskell-http-client-restricted/html/http-client-restricted.haddock

haddock-html:         /usr/share/doc/haskell-http-client-restricted/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

